Sie sind hier

Problem mit Repository

Bekomme beim aktualisieren des KOMA Repositorys mit "tlmgr update --self --all" die folgende Fehlermeldung:
tlmgr: unexpected return value from verify_checksum: -5

Letzte Woche hat es noch problemlos funktioniert. Hat sich irgendwas geändert?

forum: 
Bild von Markus Kohm

Das kann ich nicht nachvollziehen. Ich habe das gerade selbst ausprobiert, wobei kein Update gefunden wurde, weil ich bereits alles aktuell habe:

> tlmgr update --self --all
tlmgr: package repositories
        main = ftp://MarkusNFS/ctan/tlnet (verified)
        KOMA = https://www.komascript.de/repository/texlive/2019 (verified)
tlmgr: saving backups to /usr/local/texlive/2019/tlpkg/backups

Aber auch eine versuchsweise erzwungene Installation funktioniert:

>> tlmgr install --reinstall koma-script
tlmgr: package repositories
        main = ftp://MarkusNFS/ctan/tlnet (verified)
        KOMA = https://www.komascript.de/repository/texlive/2019 (verified)
[1/1, ??:??/??:??] reinstall: koma-script @KOMA [8003k]
running mktexlsr ...
done running mktexlsr.
running mtxrun --generate ...
done running mtxrun --generate.
tlmgr: package log updated: /usr/local/texlive/2019/texmf-var/web2c/tlmgr.log

Bist Du sicher, dass das vom KOMA-Repository ausgelöst wurde? Die Fehlermeldung tritt üblicherweise auf, wenn der Mirror des Repositories gerade aktualisiert wird, während man selbst das Update (oder auch eine Installation) durchführt. Aufgrund der Uhrzeit vermute ich, dass das beim von Dir verwendeten Hauptrepository gerade der Fall war. Meist funktioniert es dann ein paar Minuten später. Bei meinem eigenen Mirror weiß ich natürlich, wann er das macht, so dass ich diese Zeiten leicht vermeiden kann.

Ja, ich bin mir sicher, denn ich habe jetzt mehfach das Hauptrepository ausgewechselt und immer der gleiche Fehler. Wenn ich aber KOMA https://www.komascript.de/repository/texlive/2019 als zweites Repository rausnehme, läuft das Update problemlos durch.

Die erzwungne Instalation "tlmgr install --reinstall koma-script" läuft bei mir übrigens ohne Probleme durch, aber der Fehler bleibt.

Vielleicht hilft das folgende weiter, speziell die Zeile "pub 2048R/ACB5A37E 2014-08-08 [verfallen: 2019-08-07]". Das passt ja vom Datum.

~ $ tlmgr key list
/usr/local/texlive/2019/tlpkg/gpg/pubring.gpg
---------------------------------------------
pub 2048R/06BAB6BC 2016-03-19
uid TeX Live Distribution
sub 2048R/B001980F 2016-03-19
sub 2048R/19438C70 2016-03-19 [verfällt: 2020-04-06]

/usr/local/texlive/2019/tlpkg/gpg/repository-keys.gpg
-----------------------------------------------------
pub 2048R/ACB5A37E 2014-08-08 [verfallen: 2019-08-07]
uid KOMA.repo (This key is used only to sign my repositories.)

Ich denke ich muss das Repository neu einrichten, richtig?

Achim

Bild von Markus Kohm

Es sollte genügen, den bereits vor Monaten aktualisierten key von der Repository-Seite neu zu importieren. Merke: PGP-keys haben (im Idealfall) eine limitierte Laufzeit. Abgelaufene keys werden als ungütlig betrachtet. Der Inhaber kann den key aber verlängern (was ich getan habe). Damit die andere Seite das mitbekommt, muss dort der key aber ebenfalls erneuert werden.

Sollte das nicht funktionieren, habe ich dort womöglich den falschen key veröffentlicht. Muss ich dann nochmal kontrollieren. Habe aber gerade keine Zeit. Muss dringend weg!

Das Update läuft jetzt wieder durch. Du hast also den richtigen Key veröffentlicht.

Vielen Dank für deine schnelle und kompetente Hilfe!

$ tlmgr update --self --all
tlmgr: package repositories
main = http://vesta.informatik.rwth-aachen.de/ftp/pub/mirror/ctan/systems/texli... (verified)
KOMA = https://www.komascript.de/repository/texlive/2019 (verified)
tlmgr: saving backups to /usr/local/texlive/2019/tlpkg/backups

$ tlmgr key list
/usr/local/texlive/2019/tlpkg/gpg/pubring.gpg
---------------------------------------------
pub 2048R/06BAB6BC 2016-03-19
uid TeX Live Distribution
sub 2048R/B001980F 2016-03-19
sub 2048R/19438C70 2016-03-19 [verfällt: 2020-04-06]

/usr/local/texlive/2019/tlpkg/gpg/repository-keys.gpg
-----------------------------------------------------
pub 2048R/ACB5A37E 2014-08-08 [verfällt: 2020-08-01]
uid KOMA.repo (This key is used only to sign my repositories.)
sub 2048R/BE26F51D 2014-08-08 [verfällt: 2020-02-29]

By the way, ich habe dein Repository nur eingebunden, weil ich auch immer deine Titlepage verwende (eigentlich brauche ich daraus nur die Umgebung fullsizetitle) und das nicht bei CTAN gelistet ist. KOMA-Script ist ja sowieso Pflicht, aber das gibt es ja bei CTAN. Willst Titlepage nicht auch mal bei CTAN hinzufügen?

Achim

Comments for "Problem mit Repository" abonnieren